## freeipa 4.8.6

=== contrib/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# contrib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/freeipa
pkgincludedir = $(includedir)/freeipa
pkglibdir = $(libdir)/freeipa
pkglibexecdir = $(libexecdir)/freeipa
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = contrib
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/VERSION.m4 \
	$(top_srcdir)/server.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
API_VERSION = 2.236
AR = ar
AUTOCONF = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing autoconf
AUTOHEADER = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing autoheader
AUTOMAKE = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -D__STDC_WANT_LIB_EXT1__=1 -D_DEFAULT_SOURCE=1 -D_POSIX_C_SOURCE=200809L -Werror=implicit-function-declaration
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka 
CONFIG_STATUS = ./config.status
CPP = gcc -E
CPPFLAGS = -I/usr/include/nspr4  -I/usr/include/nss3 -I/usr/include/nspr4 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto 
CYGPATH_W = echo
DATA_VERSION = 20100614120000
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIRSRV_CFLAGS = -DUSE_OPENLDAP -I/usr/include/dirsrv  -I/usr/include/nspr4 
DIRSRV_LIBS = -L/usr/lib64/dirsrv -lslapd 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GETTEXT_DOMAIN = ipa
GETTEXT_MACRO_VERSION = 0.18
GIT_BRANCH = ipa-4-8
GIT_VERSION = 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
INI_CFLAGS = 
INI_LIBS = -lini_config -lbasicobjects -lref_array -lcollection 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
IPAPLATFORM = fedora
IPA_DATA_DIR = ${datarootdir}/ipa
IPA_SYSCONF_DIR = ${prefix}/etc/ipa
JSLINT = /usr/bin/jsl
KRAD_LIBS = -lkrad
KRB5KDC_SERVICE = krb5kdc.service
KRB5_CFLAGS = 
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err 
LD = /usr/bin/ld -m elf_x86_64
LDAP_CFLAGS = 
LDAP_LIBS = -lldap_r -llber
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBINTL_LIBS = 
LIBOBJS = 
LIBPDB_NAME = samba-passdb
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVERTO_CFLAGS = 
LIBVERTO_LIBS = -lverto 
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MK_ASSIGN = =
MK_ELSE = else
MK_ENDIF = endif
MK_IFEQ = ifeq
MSGATTRIB = /usr/bin/msgattrib
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NAMED_GROUP = named
NDRNBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDRNBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc 
NDRPAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDRPAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc 
NDR_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDR_LIBS = -lndr -lsamba-util -ltevent -ltalloc 
NM = /usr/bin/nm -B
NMEDIT = 
NSPR_CFLAGS = -I/usr/include/nspr4 
NSPR_LIBS = -lplds4 -lplc4 -lnspr4 -lpthread -ldl 
NSS_CFLAGS = -I/usr/include/nss3 -I/usr/include/nspr4 
NSS_LIBS = -lssl3 -lsmime3 -lnss3 -lnssutil3 -lplds4 -lplc4 -lnspr4 -lpthread -ldl 
NUM_VERSION = 40806
OBJDUMP = objdump
OBJEXT = o
ODS_USER = ods
OTOOL = 
OTOOL64 = 
PACKAGE = freeipa
PACKAGE_BUGREPORT = https://hosted.fedoraproject.org/projects/freeipa/newticket
PACKAGE_NAME = freeipa
PACKAGE_STRING = freeipa 4.8.6
PACKAGE_TARNAME = freeipa
PACKAGE_URL = 
PACKAGE_VERSION = 4.8.6
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PLATFORM_PYTHON = 
POPT_CFLAGS = 
POPT_LIBS = -lpopt 
POSUB = po
PYLINT = yes
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_INSTALL_EXTRA_OPTIONS = 
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 3.7
RANLIB = ranlib
SAMBA40EXTRA_LIBPATH = -L/usr/lib64/samba -Wl,-rpath=/usr/lib64/samba
SAMBAUTIL_CFLAGS = -I/usr/include/samba-4.0 -DHAVE_IMMEDIATE_STRUCTURES=1 
SAMBAUTIL_LIBS = -lsamba-util -ltevent -ltalloc 
SASL_CFLAGS = 
SASL_LIBS = -lsasl2 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SSSCERTMAP_CFLAGS = 
SSSCERTMAP_LIBS = -lsss_certmap 
SSSIDMAP_CFLAGS = 
SSSIDMAP_LIBS = -lsss_idmap 
SSSNSSIDMAP_CFLAGS = 
SSSNSSIDMAP_LIBS = -lsss_nss_idmap 
STRIP = strip
TALLOC_CFLAGS = 
TALLOC_LIBS = -ltalloc 
TEVENT_CFLAGS = 
TEVENT_LIBS = -ltevent -ltalloc 
UNISTRING_LIBS = -lunistring
UNLINK = /usr/bin/unlink
USE_NLS = yes
UUID_CFLAGS = -I/usr/include/uuid 
UUID_LIBS = -luuid 
VENDOR_SUFFIX = 
VERSION = 4.8.6
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XMLRPC_CFLAGS = 
XMLRPC_LIBS = -lxmlrpc -lxmlrpc_client -lxmlrpc_util 
abs_builddir = /home/abokovoy/src/freeipa-build/freeipa-4-8-6/contrib
abs_srcdir = /home/abokovoy/src/freeipa-build/freeipa-4-8-6/contrib
abs_top_builddir = /home/abokovoy/src/freeipa-build/freeipa-4-8-6
abs_top_srcdir = /home/abokovoy/src/freeipa-build/freeipa-4-8-6
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}

=== contrib/completion/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# contrib/completion/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/freeipa
pkgincludedir = $(includedir)/freeipa
pkglibdir = $(libdir)/freeipa
pkglibexecdir = $(libexecdir)/freeipa
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = contrib/completion
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/VERSION.m4 \
	$(top_srcdir)/server.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(bashcompdir)"
SCRIPTS = $(bashcomp_SCRIPTS)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
API_VERSION = 2.236
AR = ar
AUTOCONF = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing autoconf
AUTOHEADER = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing autoheader
AUTOMAKE = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -D__STDC_WANT_LIB_EXT1__=1 -D_DEFAULT_SOURCE=1 -D_POSIX_C_SOURCE=200809L -Werror=implicit-function-declaration
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka 
CONFIG_STATUS = ./config.status
CPP = gcc -E
CPPFLAGS = -I/usr/include/nspr4  -I/usr/include/nss3 -I/usr/include/nspr4 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto 
CYGPATH_W = echo
DATA_VERSION = 20100614120000
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIRSRV_CFLAGS = -DUSE_OPENLDAP -I/usr/include/dirsrv  -I/usr/include/nspr4 
DIRSRV_LIBS = -L/usr/lib64/dirsrv -lslapd 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GETTEXT_DOMAIN = ipa
GETTEXT_MACRO_VERSION = 0.18
GIT_BRANCH = ipa-4-8
GIT_VERSION = 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
INI_CFLAGS = 
INI_LIBS = -lini_config -lbasicobjects -lref_array -lcollection 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
IPAPLATFORM = fedora
IPA_DATA_DIR = ${datarootdir}/ipa
IPA_SYSCONF_DIR = ${prefix}/etc/ipa
JSLINT = /usr/bin/jsl
KRAD_LIBS = -lkrad
KRB5KDC_SERVICE = krb5kdc.service
KRB5_CFLAGS = 
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err 
LD = /usr/bin/ld -m elf_x86_64
LDAP_CFLAGS = 
LDAP_LIBS = -lldap_r -llber
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBINTL_LIBS = 
LIBOBJS = 
LIBPDB_NAME = samba-passdb
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVERTO_CFLAGS = 
LIBVERTO_LIBS = -lverto 
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MK_ASSIGN = =
MK_ELSE = else
MK_ENDIF = endif
MK_IFEQ = ifeq
MSGATTRIB = /usr/bin/msgattrib
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NAMED_GROUP = named
NDRNBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDRNBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc 
NDRPAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDRPAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc 
NDR_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDR_LIBS = -lndr -lsamba-util -ltevent -ltalloc 
NM = /usr/bin/nm -B
NMEDIT = 
NSPR_CFLAGS = -I/usr/include/nspr4 
NSPR_LIBS = -lplds4 -lplc4 -lnspr4 -lpthread -ldl 
NSS_CFLAGS = -I/usr/include/nss3 -I/usr/include/nspr4 
NSS_LIBS = -lssl3 -lsmime3 -lnss3 -lnssutil3 -lplds4 -lplc4 -lnspr4 -lpthread -ldl 
NUM_VERSION = 40806
OBJDUMP = objdump
OBJEXT = o
ODS_USER = ods
OTOOL = 
OTOOL64 = 
PACKAGE = freeipa
PACKAGE_BUGREPORT = https://hosted.fedoraproject.org/projects/freeipa/newticket
PACKAGE_NAME = freeipa
PACKAGE_STRING = freeipa 4.8.6
PACKAGE_TARNAME = freeipa
PACKAGE_URL = 
PACKAGE_VERSION = 4.8.6
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PLATFORM_PYTHON = 
POPT_CFLAGS = 
POPT_LIBS = -lpopt 
POSUB = po
PYLINT = yes
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_INSTALL_EXTRA_OPTIONS = 
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 3.7
RANLIB = ranlib
SAMBA40EXTRA_LIBPATH = -L/usr/lib64/samba -Wl,-rpath=/usr/lib64/samba
SAMBAUTIL_CFLAGS = -I/usr/include/samba-4.0 -DHAVE_IMMEDIATE_STRUCTURES=1 
SAMBAUTIL_LIBS = -lsamba-util -ltevent -ltalloc 
SASL_CFLAGS = 
SASL_LIBS = -lsasl2 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SSSCERTMAP_CFLAGS = 
SSSCERTMAP_LIBS = -lsss_certmap 
SSSIDMAP_CFLAGS = 
SSSIDMAP_LIBS = -lsss_idmap 
SSSNSSIDMAP_CFLAGS = 
SSSNSSIDMAP_LIBS = -lsss_nss_idmap 
STRIP = strip
TALLOC_CFLAGS = 
TALLOC_LIBS = -ltalloc 
TEVENT_CFLAGS = 
TEVENT_LIBS = -ltevent -ltalloc 
UNISTRING_LIBS = -lunistring
UNLINK = /usr/bin/unlink
USE_NLS = yes
UUID_CFLAGS = -I/usr/include/uuid 
UUID_LIBS = -luuid 
VENDOR_SUFFIX = 
VERSION = 4.8.6
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XMLRPC_CFLAGS = 
XMLRPC_LIBS = -lxmlrpc -lxmlrpc_client -lxmlrpc_util 
abs_builddir = /home/abokovoy/src/freeipa-build/freeipa-4-8-6/contrib/completion
abs_srcdir = /home/abokovoy/src/freeipa-build/freeipa-4-8-6/contrib/completion
abs_top_builddir = /home/abokovoy/src/freeipa-build/freeipa-4-8-6
abs_top_srcdir = /home/abokovoy/src/freeipa-build/freeipa-4-8-6
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
i18ntests = 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/abokovoy/src/freeipa-build/freeipa-4-8-6/install-sh
krb5rundir = ${prefix}/var/run/krb5kdc
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/freeipa
pkgpythondir = ${pythondir}/freeipa
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib64/python3.7/site-packages
pythondir = ${prefix}/lib/python3.7/site-packages
sbindir = ${exec_prefix}/sbin
selinux_makefile = /usr/share/selinux/devel/Makefile
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc

=== debian/changelog ===
freeipa (4.8.6-1ubuntu2) focal; urgency=medium

  * tests: Disabled, as the server isn't available.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Apr 2020 19:14:07 +0300

freeipa (4.8.6-1ubuntu1) focal; urgency=medium

  * Build just the client for Ubuntu, because the server doesn't work
    with bind 9.16.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Apr 2020 14:07:59 +0300

freeipa (4.8.6-1) unstable; urgency=medium

  * New upstream release.
  * pki-proxy-Don-t-rely-on-running-apache-until-it-s-co.patch: Dropped,
    upstream.
  * migrate-to-gpg.diff: Use gpg instead of gpg2, update dependencies.
    (Closes: #919062)
  * control: Bump gssproxy depends.
  * control: Relax apache2 dependency so it works on ubuntu.
  * control: Bump policy to 4.5.0.
  * control: Fix some M-A issues.
  * control: Drop the dummy freeipa-admintools package.
  * source: Update diff-ignore.
  * rules: Don't remove po/ipa.pot on clean.
  * tasks-fixes.diff: Use enable/disable_ldap_automount from base,
    parse_ipa_version from redhat. Add librpm8 to python3-ipalib Depends.
  * dnssec-race-wa.diff: Work-around racy dnssec setup, the socket isn't
    necessarily ready when doing policy import.
  * control: Update bind9-utils dependency.
  * control: Bump depends on opendnssec.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Apr 2020 06:28:03 +0300

freeipa (4.8.5-1) unstable; urgency=medium

  * New upstream release.
  * control: Drop client from freeipa-tests depends.
  * Fix-font-awesome-path.patch: Dropped, upstream.
  * fix-ods-conf-template.diff: Dropped, upstream.
  * Use debhelper-compat.
  * Add debian/gitlab-ci.yml.
    - allow blhc and piuparts to fail
  * write-out-only-one-cert-per-file.diff: Fix writing CA cert to file.
  * tests: Make failure an actual failure again, and dump only last 2000
    lines on failure, also from ipaclient log.
  * rules: Import architecture.mk.
  * source: Update extend-diff-ignore.
  * server.install: Updated.
  * pki-proxy-Don-t-rely-on-running-apache-until-it-s-co.patch: Fix
    httpd_proxy install.
  * control: Bump dependency on apache2 to where mod_proxy_ajp got fixed.
  * tests: Add sudo to dependencies for dogtag.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Mar 2020 19:42:37 +0200

freeipa (4.8.3-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2019-10195: Don't log passwords embedded in commands in calls
      using batch
    - CVE-2019-14867: Make sure to have storage space for tag
  * Fix-font-awesome-path.patch: Fix the path to font-awesome dir. (LP:
    #1853863)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 26 Nov 2019 20:14:47 +0200

freeipa (4.8.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Server needs to depend on the py3 version of mod-wsgi.
  * server.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Nov 2019 19:58:42 +0200

=== debian/control ===
Source: freeipa
Section: net
Priority: optional
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/freeipa-team/freeipa.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/freeipa
Homepage: http://www.freeipa.org
Build-Depends:
 check,
 debhelper-compat (= 12),
 dh-python,
 gettext,
 krb5-user,
 libcmocka-dev,
 libini-config-dev,
 libkrad-dev,
 libkrb5-dev (>= 1.16),
 libldap2-dev,
 libnspr4-dev,
 libnss3-dev,
 libpopt-dev,
 libsasl2-dev,
 libssl-dev,
 libtalloc-dev,
 libxmlrpc-core-c3-dev (>= 1.33.06),
 python3-all-dev,
 python3-cryptography,
 python3-dbus,
 python3-dnspython (>= 1.11.1),
 python3-gssapi,
 python3-jinja2,
 python3-kdcproxy,
 python3-ldap (>= 3.1),
 python3-lesscpy,
 python3-libipa-hbac,
 python3-libsss-nss-idmap,
 python3-lxml,
 python3-netaddr,
 python3-netifaces (>= 0.10.4),
 python3-nose,
 python3-nss (>= 0.16.0),
 python3-polib,
 python3-pyasn1,
 python3-qrcode (>= 5.0.0),
 python3-setuptools,
 python3-six,
 python3-sss (>= 1.14.0),
 python3-usb (>= 1.0.0~b2),
 python3-yubico,
 systemd,
 uuid-dev,

Package: freeipa-common
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: FreeIPA centralized identity framework -- common files
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This package includes common files.

Package: freeipa-client
Architecture: any
Depends:
 bind9-utils,
 certmonger (>= 0.79.5-2),
 curl,
 dnsutils,
 freeipa-common (= ${source:Version}),
 krb5-user,
 libnss3-tools,
 libnss-sss,
 libpam-sss,
 libsasl2-modules-gssapi-mit,
 libsss-sudo,
 libxmlrpc-core-c3 (>= 1.16.33-3.1ubuntu5),
 oddjob-mkhomedir,
 python3-dnspython,
 python3-ipaclient (= ${source:Version}),
 python3-gssapi,
 python3-ldap,
 python3-sss,
 sssd (>= 1.14.0),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 chrony,
Suggests:
 libpam-krb5,
Description: FreeIPA centralized identity framework -- client
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This is the client package.

Package: freeipa-client-samba
Architecture: any
Depends:
 cifs-utils,
 freeipa-client (= ${binary:Version}),
 libwbclient-sssd,
 python3-samba,
 samba-common-bin,
 smbclient,
 tdb-tools,
 winbind,
 ${misc:Depends},
 ${python3:Depends},
Multi-Arch: same
Description: FreeIPA centralized identity framework -- Samba client
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This package provides command-line tools to deploy Samba domain member
 on the machine enrolled into a FreeIPA environment.

Package: python3-ipaclient
Architecture: all
Section: python
Breaks: freeipa-client (<< 4.3.0-1)
Replaces: freeipa-client (<< 4.3.0-1)
Depends:
 freeipa-common (= ${binary:Version}),
 python3-augeas,
 python3-dnspython,
 python3-ipalib (>= ${source:Version}),
 python3-jinja2,
 ${misc:Depends},
 ${python3:Depends},
Description: FreeIPA centralized identity framework -- Python3 modules for ipaclient
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This Python3 module is used by FreeIPA client.

Package: python3-ipalib
Architecture: all
Section: python
Depends:
 freeipa-common (= ${source:Version}),
 gnupg,
 gpg-agent,
 keyutils,
 librpm8,
 python3-cffi,
 python3-cryptography,
 python3-dbus,
 python3-dnspython,
 python3-gssapi,
 python3-ldap,
 python3-libipa-hbac,
 python3-lxml,
 python3-netaddr,
 python3-netifaces (>= 0.10.4),
 python3-nss (>= 0.16.0),
 python3-pyasn1,
 python3-qrcode (>= 5.0.0),
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-usb (>= 1.0.0~b2),
 python3-yubico,
 systemd,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: FreeIPA centralized identity framework -- shared Python3 modules
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This Python3 module is used by other FreeIPA packages.

=== debian/rules ===
#!/usr/bin/make -f 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# build server only where nodejs is available
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64el mipsel ppc64 ppc64el s390x))
  ONLY_CLIENT=0
else
  ONLY_CLIENT=1
endif

# Ubuntu will have just client for now
ONLY_CLIENT=1

DESTDIR=$(CURDIR)/debian/tmp

export PYTHON=python3
export am_cv_python_pythondir=/usr/lib/python3/dist-packages
export am_cv_python_pyexecdir=/usr/lib/python3/dist-packages

confflags = \
	--libexecdir=/usr/lib/ \
	--with-ipaplatform=debian \
	--with-sysconfenvdir=/etc/default \
	--disable-pylint \
	--without-jslint

ifeq ($(ONLY_CLIENT), 1)
confflags += --disable-server \
	--without-ipatests
else
confflags += --enable-server \
	--with-ipatests
endif

# For maintainer use only, generate a tarball:
gentarball:
	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
		--exclude './debian' --exclude-vcs \
		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .

gencontrol:
ifeq ($(ONLY_CLIENT), 1)
	cat debian/control.stub \
	debian/control.common \
	> debian/control
else
	cat debian/control.stub \
	debian/control.server-bdeps \
	debian/control.common \
	debian/control.server \
	> debian/control
endif

override_dh_clean: gencontrol
	dh_clean
	rm -f po/*.gmo po/Makefile.hack po/POTFILES.in po/stamp-po
	rm -rf contrib/completion/ipa.bash_completion daemons/ipa-version.h \
	       install/ui/src/libs/loader.js m4
	rm -f ipaplatform/override.py ipapython/version.py ipasetup.py

override_dh_auto_configure: gencontrol
	dh_auto_configure -- $(confflags)

# tests would just fail, they need a proper environment with 389 running et al
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --max-parallel=1

ifneq ($(ONLY_CLIENT), 1)
	chmod 755 $(DESTDIR)/usr/lib/ipa/certmonger/*

	touch $(DESTDIR)/usr/share/ipa/html/ca.crt
	touch $(DESTDIR)/usr/share/ipa/html/kerberosauth.xpi
	touch $(DESTDIR)/usr/share/ipa/html/krb.con
	touch $(DESTDIR)/usr/share/ipa/html/krb.js
	touch $(DESTDIR)/usr/share/ipa/html/krb5.ini
	touch $(DESTDIR)/usr/share/ipa/html/krbrealm.con
endif

	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions \
	install -m 0644 contrib/completion/ipa.bash_completion \
		$(DESTDIR)/usr/share/bash-completion/completions/ipa
	rm -rf $(DESTDIR)/etc/bash_completion.d

	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
	# purge precompiled .pyc/.pyo files
	find $(CURDIR)/debian/tmp -name '*.py[c,o]' -exec rm '{}' ';'
	# fix permissions
	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;
	# remove files which are useful only for make uninstall
	find $(CURDIR)/debian/tmp -wholename '*/dist-packages/*/install_files.txt' -exec rm '{}' \;
	# fix the interpreter
	find debian/tmp ! -name '*.pyc' -a ! -name '*.pyo' -a \
	    -type f -exec grep -qsm1 '^#!.*\bpython' {} \; \
	    -exec sed -i -e '1 s|^#!.*\bpython[^ ]*|#!/usr/bin/python3|' {} \;

override_dh_missing:
	dh_missing --fail-missing

ifneq ($(ONLY_CLIENT), 1)
override_dh_installsystemd:
	dh_installsystemd -pfreeipa-server --no-enable ipa.service
	dh_installsystemd -pfreeipa-server --no-enable ipa-dnskeysyncd.service
	dh_installsystemd -pfreeipa-server --no-enable ipa-custodia.service
	dh_installsystemd -pfreeipa-server --no-enable ipa-ods-exporter.service
endif

override_dh_fixperms:
	dh_fixperms

	# check needed to not fail arch-indep build which doesn't run dh_installdirs
	if [ -d $(CURDIR)/debian/freeipa-server/etc/ipa/custodia ]; then \
	    chmod 0700 $(CURDIR)/debian/freeipa-server/etc/ipa/custodia; \
	    chmod 0700 $(CURDIR)/debian/freeipa-server/var/lib/ipa/backup; \
	fi

%:
	dh $@ --with python3
#		--builddirectory=build

=== debian/watch ===
version=3
#options=dversionmangle=s/\+dfsg$//,uversionmangle=s/$/+dfsg1/,compression=xz \
https://releases.pagure.org/freeipa/freeipa-(.+).tar.gz

## freeipa 4.8.10

=== debian/changelog ===
freeipa (4.8.10-2+devuan3) unstable; urgency=medium

  * Make dep librpm9 or librpm8

 -- B. Stack <bgstack15@gmail.com>  Wed, 07 Jul 2021 09:56:22 -0400

freeipa (4.8.10-2+devuan2) unstable; urgency=medium

  * Build only client components, and drop systemd dependency.

 -- B. Stack <bgstack15@gmail.com>  Sat, 12 Jun 2021 15:51:22 -0400

freeipa (4.8.10-2) unstable; urgency=medium

  * client: Drop obsolete nssdb migration, which is now causing an
    error. (Closes: #971363)
  * Move ipa-epn service to -client-epn package.
  * control: Rebuild against new krb5.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 23 Nov 2020 20:48:56 +0200

freeipa (4.8.10-1) unstable; urgency=medium

  * New upstream release.
  * control: Build freeipa-client-epn only where nodejs is available.
    (Closes: #970230)
  * install: ipa-print-pac belongs to the server instead of -client-epn.
  * control, pkcs11-openssl-for-bind.diff: Add support for bind 9.16.
    (LP: #1874568)
  * fix-chrony-service-name.diff: Map to correct chrony service name.
    (Closes: #968428)
  * freeipa-client-epn.install: Add epn.conf.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 28 Sep 2020 13:12:26 +0300

freeipa (4.8.8-2) unstable; urgency=medium

  * copyright: Fix duplicate-globbing-patterns lintian error.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Sep 2020 11:05:55 +0300

freeipa (4.8.8-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2020-1722 (Closes: #966200)
  * use-bind9.16.diff: Fix some paths to what's in bind9 9.16.
  * write-out-only-one-cert-per-file.diff, tasks-fixes.diff: Dropped,
    upstream.
  * control: Replace node-uglify build-dependency with python3-rjsmin.
  * control: Add freeipa-client-epn package.
  * .install: Updated.
  * control: Drop libnss3-dev from build-depends, use libssl for util &
    libotp.
  * fix-sssd-socket-activation.diff: Don't add a 'services =' line on
    sssd.conf. (LP: #1879083)
  * sources: Fix some lintian errors.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Sep 2020 08:05:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: freeipa
 Section: net
 Priority: optional
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
-Uploaders: Timo Aaltonen <tjaalton@debian.org>
+Maintainer: B. Stack <bgstack15@gmail.com>
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/freeipa-team/freeipa.git
-Vcs-Browser: https://salsa.debian.org/freeipa-team/freeipa
+Origin: Devuan
+Vcs-Git: https://git.devuan.org/devuan/freeipa.git
+Vcs-Browser: https://git.devuan.org/devuan/freeipa
 Homepage: http://www.freeipa.org
 Build-Depends:
  check,
@@ -19,7 +19,6 @@
  libkrb5-dev (>= 1.16),
  libldap2-dev,
  libnspr4-dev,
- libnss3-dev,
  libpopt-dev,
  libsasl2-dev,
  libssl-dev,
@@ -49,7 +48,6 @@
  python3-sss (>= 1.14.0),
  python3-usb (>= 1.0.0~b2),
  python3-yubico,
- systemd,
  uuid-dev,
 
 Package: freeipa-common
@@ -102,6 +100,24 @@
  .
  This is the client package.
 
+Package: freeipa-client-epn
+Architecture: amd64 arm64 armhf i386 mips mips64el mipsel ppc64 ppc64el s390x
+Depends:
+ freeipa-client (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends}
+Breaks: freeipa-server (<< 4.8.10-2)
+Replaces: freeipa-server (<< 4.8.10-2)
+Description: FreeIPA centralized identity framework -- tools for configuring Expiring Password Notification
+ FreeIPA is an integrated solution to provide centrally managed Identity
+ (machine, user, virtual machines, groups, authentication credentials), Policy
+ (configuration settings, access control information) and Audit (events,
+ logs, analysis thereof).
+ .
+ This package provides a service to collect and send expiring password
+ notifications via email (SMTP).
+
 Package: freeipa-client-samba
 Architecture: any
 Depends:
@@ -154,7 +170,7 @@
  gnupg,
  gpg-agent,
  keyutils,
- librpm8,
+ librpm8 | librpm9,
  python3-cffi,
  python3-cryptography,
  python3-dbus,
@@ -173,7 +189,7 @@
  python3-six,
  python3-usb (>= 1.0.0~b2),
  python3-yubico,
- systemd,
+ systemd | systemctl-service-shim,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,6 @@
 else
   ONLY_CLIENT=1
 endif
-
-# Ubuntu will have just client for now
 ONLY_CLIENT=1
 
 DESTDIR=$(CURDIR)/debian/tmp
